libao documentation | libao version 1.2.2 - 20161114

# ao_default_driver_id

declared in "ao/ao.h";

Returns the ID number of the default live output driver. If the configuration files specify a default driver, its ID is returned, otherwise the library tries to pick a live output driver that will work on the host platform.

    int ao_default_driver_id();

### Return Values

> - a non-negative value is the ID number of the default driver.
> - -1 indicates failure to find a usable audio output device.

### Notes

If no default device is available, you may still use the null device to test your application.

copyright © 2001-2003 Stan Seibert, 2010-2016 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.2 - 20161114